#include "stm8s.h"

void main(void)
{
	CLK_ClockSwitchConfig ( CLK_SWITCHMODE_AUTO, CLK_SOURCE_HSE, DISABLE, CLK_CURRENTCLOCKSTATE_DISABLE );

	TIM1_DeInit();
	TIM1_TimeBaseInit( 15, TIM1_COUNTERMODE_UP, 1000, 0 );
	TIM1_OC1Init( TIM1_OCMODE_PWM1, TIM1_OUTPUTSTATE_ENABLE, TIM1_OUTPUTNSTATE_ENABLE, 100, TIM1_OCPOLARITY_HIGH, TIM1_OCNPOLARITY_HIGH, TIM1_OCIDLESTATE_RESET, TIM1_OCNIDLESTATE_SET );
	TIM1_OC2Init( TIM1_OCMODE_PWM1, TIM1_OUTPUTSTATE_ENABLE, TIM1_OUTPUTNSTATE_ENABLE, 300, TIM1_OCPOLARITY_HIGH, TIM1_OCNPOLARITY_HIGH, TIM1_OCIDLESTATE_RESET, TIM1_OCNIDLESTATE_SET );
	TIM1_OC3Init( TIM1_OCMODE_PWM1, TIM1_OUTPUTSTATE_ENABLE, TIM1_OUTPUTNSTATE_ENABLE, 600, TIM1_OCPOLARITY_HIGH, TIM1_OCNPOLARITY_HIGH, TIM1_OCIDLESTATE_RESET, TIM1_OCNIDLESTATE_SET );
	TIM1_OC4Init( TIM1_OCMODE_PWM1, TIM1_OUTPUTSTATE_ENABLE, 900, TIM1_OCPOLARITY_HIGH, TIM1_OCIDLESTATE_RESET );
	TIM1_BDTRConfig( TIM1_OSSISTATE_ENABLE, TIM1_LOCKLEVEL_OFF, 0xff, TIM1_BREAK_DISABLE, TIM1_BREAKPOLARITY_LOW, TIM1_AUTOMATICOUTPUT_ENABLE);
	TIM1_Cmd(ENABLE);
  TIM1_CtrlPWMOutputs(ENABLE);

	TIM2_DeInit();
	TIM2_TimeBaseInit( TIM2_PRESCALER_16, 1000 );
	TIM2_OC1Init( TIM2_OCMODE_PWM1, TIM2_OUTPUTSTATE_ENABLE, 100, TIM2_OCPOLARITY_HIGH );
	TIM2_OC2Init( TIM2_OCMODE_PWM1, TIM2_OUTPUTSTATE_ENABLE, 300, TIM2_OCPOLARITY_HIGH );
	TIM2_OC3Init( TIM2_OCMODE_PWM1, TIM2_OUTPUTSTATE_ENABLE, 600, TIM2_OCPOLARITY_HIGH );
	TIM2_Cmd(ENABLE);

	TIM3_DeInit();
	TIM3_TimeBaseInit( TIM3_PRESCALER_16, 1000 );
	TIM3_OC1Init( TIM3_OCMODE_PWM1, TIM3_OUTPUTSTATE_ENABLE, 100, TIM3_OCPOLARITY_HIGH );
	TIM3_OC2Init( TIM3_OCMODE_PWM1, TIM3_OUTPUTSTATE_ENABLE, 300, TIM3_OCPOLARITY_HIGH );
	TIM3_Cmd(ENABLE);

	while(1) {	} 	// Main loop
}

#ifdef USE_FULL_ASSERT
void assert_failed(u8* file, u32 line)
{ 
  while (1)  	{	}
}
#endif
